version: '3'
services:
  terraform:
    image: hashicorp/terraform:0.14.7
    environment:
      - GOOGLE_APPLICATION_CREDENTIALS
      - AWS_ACCESS_KEY_ID
      - AWS_SECRET_ACCESS_KEY
      - AWS_SESSION_TOKEN
      - AWS_DEFAULT_REGION
      - AWS_PROFILE
      - TF_VAR_commit_short_sha
      - TF_VAR_env
      - TF_VAR_google_project_id_prefix
      - TF_LOG
    volumes:
      - .:/opt/app
      - ~/.aws:/root/.aws:ro
    working_dir: /opt/app
